Subject: Re: S.B.E.L. in a lep journal

From: [email-masked]
Date: Thu, 9 Feb 1995 14:05:32 GMT

>In the latest journal of the Lepidopterist Society published by the
>Los Angeles County Museum of Natural History there was an announcement
>of this newsgroup going online. Chris and Julie, hey you made the
>papers! 8-)

Hey, let the bells ring and the banners fly ...! I should also point out 
that the home of Leps-L, the gated list to sc.bio.entomology.lepidoptera
is at the Peabody Museum at Yale, which also provided an early home to the
Lepidopterist's Society. Congratulations Larry Gall!

Cheers!

Christopher Majka

--